<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# rop

```text
usage: rop [-h] [--grep GREP] [--memlimit MEMLIMIT] [argument ...]

```

Dump ROP gadgets with Jon Salwan's ROPgadget tool.

**Alias:** ropgadget
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|argument|Arguments to pass to ROPgadget|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
||--grep|String to grep the output for|
||--memlimit|String to grep the output for (default: '50MB')|

### Examples
```text
pwndbg> rop --grep 'pop rdi' -- --nojop
Gadgets information
============================================================
[...]
0x0007dce8 : pop rdi ; or dword ptr [rax], eax ; add rsp, 0x28 ; ret
0x0007d838 : pop rdi ; or dword ptr [rax], eax ; je 0x7d840 ; ret
0x0005b13d : pop rdi ; pop rbp ; ret
0x0001ee23 : pop rdi ; ret

Unique gadgets found: 8514
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
